Skip to main content
PUT
/
api
/
document-transitions
/
{id}
Update DocumentTransition
curl --request PUT \
  --url https://platform.kodexa.ai/api/document-transitions/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "actor": "<unknown>",
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "dateTime": "2023-11-07T05:31:56Z",
  "destinationContentObjectId": "<string>",
  "id": "<string>",
  "index": 123,
  "label": "<string>",
  "sourceContentObjectId": "<string>",
  "transitionType": "DERIVED",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}
'
import requests

url = "https://platform.kodexa.ai/api/document-transitions/{id}"

payload = {
    "actor": "<unknown>",
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "dateTime": "2023-11-07T05:31:56Z",
    "destinationContentObjectId": "<string>",
    "id": "<string>",
    "index": 123,
    "label": "<string>",
    "sourceContentObjectId": "<string>",
    "transitionType": "DERIVED",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
}
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    actor: '<unknown>',
    changeSequence: 123,
    createdOn: '2023-11-07T05:31:56Z',
    dateTime: '2023-11-07T05:31:56Z',
    destinationContentObjectId: '<string>',
    id: '<string>',
    index: 123,
    label: '<string>',
    sourceContentObjectId: '<string>',
    transitionType: 'DERIVED',
    updatedOn: '2023-11-07T05:31:56Z',
    uuid: '<string>'
  })
};

fetch('https://platform.kodexa.ai/api/document-transitions/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "actor": "<unknown>",
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "dateTime": "2023-11-07T05:31:56Z",
  "destinationContentObjectId": "<string>",
  "id": "<string>",
  "index": 123,
  "label": "<string>",
  "sourceContentObjectId": "<string>",
  "transitionType": "DERIVED",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

A document transition records a state change of a document through processing stages.

actor
any
changeSequence
integer<int32>
createdOn
string<date-time>
dateTime
string<date-time> | null
destinationContentObjectId
string | null
id
string
index
integer<int32>
label
string
sourceContentObjectId
string | null
transitionType
enum<integer>
Available options:
DERIVED
updatedOn
string<date-time>
uuid
string

Response

Updated DocumentTransition

A document transition records a state change of a document through processing stages.

actor
any
changeSequence
integer<int32>
createdOn
string<date-time>
dateTime
string<date-time> | null
destinationContentObjectId
string | null
id
string
index
integer<int32>
label
string
sourceContentObjectId
string | null
transitionType
enum<integer>
Available options:
DERIVED
updatedOn
string<date-time>
uuid
string